<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006~2018 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------
/*首页*/
Route ::rule('/', 'home/index/index', 'GET|POST');

/*安装程序*/
Route ::rule('/install$', 'install/index/index', 'GET|POST');
Route ::rule('/install/step2$', 'install/index/step2', 'GET|POST');
Route ::rule('/install/step3$', 'install/index/step3', 'GET|POST');
Route ::rule('/install/step4$', 'install/index/step4', 'GET|POST');
Route ::rule('/install/step5$', 'install/index/step5', 'GET|POST');
Route ::rule('/install/index/testdbpwd', 'install/index/testdbpwd', 'GET|POST');
Route ::rule('/install/index/install', 'install/index/install', 'GET|POST');
Route ::rule('/install/index/setdbconfig', 'install/index/setdbconfig', 'GET|POST');


/*上传图片*/
Route ::rule('/admin/upload/oneImgUpload', 'admin/upload/oneImgUpload', 'POST');

/*获取验证码*/
Route ::rule('/admin/login/verify', 'admin/login/verify', 'GET');
/*用户登录*/
Route ::rule('/admin/login/login', 'admin/login/login', 'POST');
/*用户登出*/
Route ::rule('/admin/login/logout', 'admin/login/logout', 'POST');
/*刷新用户token*/
Route ::rule('/admin/login/refreshToekn', 'admin/login/refreshToekn', 'POST');


/*获取当前用户左侧显示菜单*/
Route ::rule('/admin/auth/menu', 'admin/auth/menu', 'POST');
/*获取所有权限节点*/
Route ::rule('/admin/auth/lists', 'admin/auth/lists', 'POST');


/*后台首页接口*/
Route ::rule('/admin/index/homePage', 'admin/index/homePage', 'POST');
/*推荐游戏*/
Route ::rule('/admin/index/recommendGame', 'admin/index/recommendGame', 'POST');
/*清除缓存*/
Route ::rule('/admin/index/clearCache', 'admin/index/clearCache', 'POST');
/*获取未入库数据数量*/
Route ::rule('/admin/index/getUnPutCount', 'admin/index/getUnPutCount', 'POST');
/*点击游戏统计*/
Route ::rule('/admin/index/clickGame', 'admin/index/clickGame', 'POST');


/*获取角色列表*/
Route ::rule('/admin/role/lists', 'admin/role/lists', 'POST');
/*添加角色*/
Route ::rule('/admin/role/add', 'admin/role/add', 'POST');
/*编辑角色*/
Route ::rule('/admin/role/edit', 'admin/role/edit', 'POST');
/*获取角色当前权限*/
Route ::rule('/admin/role/auth', 'admin/role/auth', 'POST');
/*修改角色权限*/
Route ::rule('/admin/role/rule', 'admin/role/rule', 'POST');
/*启用角色*/
Route ::rule('/admin/role/enable', 'admin/role/enable', 'POST');
/*禁用角色*/
Route ::rule('/admin/role/disable', 'admin/role/disable', 'POST');


/*部门列表*/
Route ::rule('/admin/department/lists', 'admin/department/lists', 'POST');
/*部门详情*/
Route ::rule('/admin/department/detail', 'admin/department/detail', 'POST');
/*添加部门*/
Route ::rule('/admin/department/create', 'admin/department/create', 'POST');
/*更新部门*/
Route ::rule('/admin/department/update', 'admin/department/update', 'POST');
/*启用部门*/
Route ::rule('/admin/department/enable', 'admin/department/enable', 'POST');
/*禁用部门*/
Route ::rule('/admin/department/disable', 'admin/department/disable', 'POST');


/*员工列表*/
Route ::rule('/admin/staff/lists', 'admin/staff/lists', 'POST');
/*创建员工*/
Route ::rule('/admin/staff/create', 'admin/staff/create', 'POST');
/*更新员工信息*/
Route ::rule('/admin/staff/update', 'admin/staff/update', 'POST');
/*员工详情*/
Route ::rule('/admin/staff/detail', 'admin/staff/detail', 'POST');
/*查看员工信息*/
Route ::rule('/admin/staff/look', 'admin/staff/look', 'POST');
/*启用员工*/
Route ::rule('/admin/staff/enable', 'admin/staff/enable', 'POST');
/*禁用员工*/
Route ::rule('/admin/staff/disable', 'admin/staff/disable', 'POST');
/*绑定平台*/
Route ::rule('/admin/staff/bindPlatform', 'admin/staff/bindPlatform', 'POST');
/*用户已绑定平台列表*/
Route ::rule('/admin/staff/bindPlatformLists', 'admin/staff/bindPlatformLists', 'POST');
/*解绑平台*/
Route ::rule('/admin/staff/unbindPlatform', 'admin/staff/unbindPlatform', 'POST');


/*游戏中心*/
Route ::rule('/admin/game/center', 'admin/game/center', 'POST');
/*申请游戏*/
Route ::rule('/admin/game/apply', 'admin/game/apply', 'POST');
/*我的游戏*/
Route ::rule('/admin/game/my', 'admin/game/my', 'POST');
/*渠道游戏打包*/
Route ::rule('/admin/game/package', 'admin/game/package', 'POST');


/*获取分类公告(推送公告)*/
Route ::rule('/admin/notic/categoryNotic', 'admin/notic/categoryNotic', 'POST');
/*所有公告列表(公告管理)*/
Route ::rule('/admin/notic/lists', 'admin/notic/lists', 'POST');
/*添加公告*/
Route ::rule('/admin/notic/create', 'admin/notic/create', 'POST');
/*公告详情*/
Route ::rule('/admin/notic/detail', 'admin/notic/detail', 'POST');
/*更新公告*/
Route ::rule('/admin/notic/update', 'admin/notic/update', 'POST');
/*启用公告*/
Route ::rule('/admin/notic/enable', 'admin/notic/enable', 'POST');
/*禁用公告*/
Route ::rule('/admin/notic/disable', 'admin/notic/disable', 'POST');
/*删除公告*/
Route ::rule('/admin/notic/delete', 'admin/notic/delete', 'POST');
/*公告排序*/
Route ::rule('/admin/notic/sort', 'admin/notic/sort', 'POST');


/*获取短信配置信息*/
Route ::rule('/admin/system/getSMSInfo', 'admin/system/getSMSInfo', 'POST');
/*设置短信配置*/
Route ::rule('/admin/system/setSMSInfo', 'admin/system/setSMSInfo', 'POST');


/*获取账号信息*/
Route ::rule('/admin/manager/info', 'admin/manager/info', 'POST');
/*更新当前登录用户信息*/
Route ::rule('/admin/manager/saveInfo', 'admin/manager/saveInfo', 'POST');
/*更新当前登录用户银行*/
Route ::rule('/admin/manager/saveBankInfo', 'admin/manager/saveBankInfo', 'POST');
/*修改密码*/
Route ::rule('/admin/manager/modifypassword', 'admin/manager/modifypassword', 'POST');
/*修改二级密码*/
Route ::rule('/admin/manager/modifyVerifyPassword', 'admin/manager/modifyVerifyPassword', 'POST');
/*修改用户头像*/
Route ::rule('/admin/manager/modifyavatar', 'admin/manager/modifyavatar', 'POST');


/*福利列表接口*/
Route ::rule('/admin/welfare/lists', 'admin/welfare/lists', 'POST');
/*新建福利*/
Route ::rule('/admin/welfare/create', 'admin/welfare/create', 'POST');
/*福利详情*/
Route ::rule('/admin/welfare/detail', 'admin/welfare/detail', 'POST');
/*更新福利*/
Route ::rule('/admin/welfare/update', 'admin/welfare/update', 'POST');
/*删除福利*/
Route ::rule('/admin/welfare/delete', 'admin/welfare/delete', 'POST');


/*获取荣誉列表*/
Route ::rule('/admin/honor/lists', 'admin/honor/lists', 'POST');
/*新建荣誉等级*/
Route ::rule('/admin/honor/create', 'admin/honor/create', 'POST');
/*荣誉等级详情*/
Route ::rule('/admin/honor/detail', 'admin/honor/detail', 'POST');
/*更新荣誉等级*/
Route ::rule('/admin/honor/update', 'admin/honor/update', 'POST');
/*删除荣誉等级*/
Route ::rule('/admin/honor/delete', 'admin/honor/delete', 'POST');
/*获取荣誉值比例*/
Route ::rule('/admin/honor/getRatio', 'admin/honor/getRatio', 'POST');
/*设置荣誉比例值*/
Route ::rule('/admin/honor/setRatio', 'admin/honor/setRatio', 'POST');
/*荣誉明细*/
Route ::rule('/admin/honor/managerHonor', 'admin/honor/managerHonor', 'POST');
/*荣誉等级通知*/
Route ::rule('/admin/honor/sendSms', 'admin/honor/sendSms', 'POST');


/*特权列表*/
Route ::rule('/admin/Honor_apply/lists', 'admin/HonorApply/lists', 'POST');
/*特权申请记录*/
Route ::rule('/admin/Honor_apply/applyRecord', 'admin/HonorApply/applyRecord', 'POST');
/*申请荣誉特权*/
Route ::rule('/admin/Honor_apply/doApply', 'admin/HonorApply/doApply', 'POST');
/*通过申请*/
Route ::rule('/admin/Honor_apply/pass', 'admin/HonorApply/pass', 'POST');
/*驳回申请*/
Route ::rule('/admin/Honor_apply/reject', 'admin/HonorApply/reject', 'POST');
/*发放申请*/
Route ::rule('/admin/Honor_apply/grant', 'admin/HonorApply/grant', 'POST');
/*获取用户兑换记录*/
Route ::rule('/admin/Honor_apply/showManagerRecord', 'admin/HonorApply/showManagerRecord', 'POST');


/*薪资设置列表*/
Route ::rule('/admin/wage_diy/lists', 'admin/wageDiy/lists', 'POST');
/*更新薪资设置*/
Route ::rule('/admin/wage_diy/update', 'admin/wageDiy/update', 'POST');
/*薪资设置详情*/
Route ::rule('/admin/wage_diy/detail', 'admin/wageDiy/detail', 'POST');
/*创建薪资设置*/
Route ::rule('/admin/wage_diy/create', 'admin/wageDiy/create', 'POST');


/*薪资结算表*/
Route ::rule('/admin/wage/lists', 'admin/wage/lists', 'POST');
/*导出薪资结算表*/
Route ::rule('/admin/wage/exportExcel', 'admin/wage/exportExcel', 'GET|POST');
/*发放薪资*/
Route ::rule('/admin/wage/send', 'admin/wage/send', 'POST');
/*修改薪资*/
Route ::rule('/admin/wage/update', 'admin/wage/update', 'POST');
/*员工薪资*/
Route ::rule('/admin/wage/manager', 'admin/wage/manager', 'POST');
/*发放薪资短信通知*/
Route ::rule('/admin/wage/message', 'admin/wage/message', 'POST');



/*我申请的渠道列表*/
Route ::rule('/admin/platform/mine', 'admin/platform/mine', 'POST');
/*添加渠道*/
Route ::rule('/admin/platform/mineCreate', 'admin/platform/mineCreate', 'POST');
/*渠道详情*/
Route ::rule('/admin/platform/detail', 'admin/platform/detail', 'POST');
/*更新渠道信息*/
Route ::rule('/admin/platform/mineUpdate', 'admin/platform/mineUpdate', 'POST');
/*渠道中心列表*/
Route ::rule('/admin/platform/lists', 'admin/platform/lists', 'POST');
/*激活渠道*/
Route ::rule('/admin/platform/apply', 'admin/platform/apply', 'POST');


/*数据汇总*/
Route ::rule('/admin/data/summarize', 'admin/data/summarize', 'POST');
/*查看注册账号列表*/
Route ::rule('/admin/data/viewRegister', 'admin/data/viewRegister', 'POST');
/*查看充值账号列表*/
Route ::rule('/admin/data/viewRecharge', 'admin/data/viewRecharge', 'POST');
/*充值明细*/
Route ::rule('/admin/data/recharge', 'admin/data/recharge', 'POST');
/*注册明细*/
Route ::rule('/admin/data/register', 'admin/data/register', 'POST');
/*业绩总览*/
Route ::rule('/admin/achievements/overview', 'admin/achievements/overview', 'POST');
/*业绩总览详情*/
Route ::rule('/admin/achievements/overviewDetail', 'admin/achievements/overviewDetail', 'POST');


/*业绩排行:昨日排行*/
Route ::rule('/admin/rank/yesterday', 'admin/rank/yesterday', 'POST');
/*业绩排行:日排行*/
Route ::rule('/admin/rank/day', 'admin/rank/day', 'POST');
/*业绩排行:周排行*/
Route ::rule('/admin/rank/week', 'admin/rank/week', 'POST');
/*业绩排行:月排行*/
Route ::rule('/admin/rank/month', 'admin/rank/month', 'POST');
/*业绩排行:季排行*/
Route ::rule('/admin/rank/season', 'admin/rank/season', 'POST');


/*更新记录*/
Route ::rule('/admin/upgrade/lists', 'admin/upgrade/lists', 'POST');
/*检测升级*/
Route ::rule('/admin/upgrade/check', 'admin/upgrade/check', 'POST');
/*获取当前版本*/
Route ::rule('/admin/upgrade/currentVersion', 'admin/upgrade/currentVersion', 'POST');
/*开始更新*/
Route ::rule('/admin/upgrade/begin', 'admin/upgrade/begin', 'POST');
/*下载更新包*/
Route ::rule('/admin/upgrade/setp01', 'admin/upgrade/setp01', 'POST');
/*解压更新包*/
Route ::rule('/admin/upgrade/setp02', 'admin/upgrade/setp02', 'POST');
/*执行更新程序*/
Route ::rule('/upgrade/index/step01', 'upgrade/index/step01', 'POST');


/*获取网站配置*/
Route ::rule('/admin/baseSetting/getSiteInfo', 'admin/baseSetting/getSiteInfo', 'POST|GET');
/*设置网站配置*/
Route ::rule('/admin/baseSetting/setSiteInfo', 'admin/baseSetting/setSiteInfo', 'POST|GET');

/*计划任务*/
/*拉取用户注册数据*/
Route ::rule('/crontab/pull/register', 'crontab/pull/register', 'POST|GET');
/*拉取充值数据*/
Route ::rule('/crontab/pull/recharge', 'crontab/pull/recharge', 'POST|GET');

/*用户注册数据入库*/
Route ::rule('/crontab/put/register', 'crontab/put/register', 'POST|GET');
/*充值数据入库*/
Route ::rule('/crontab/put/recharge', 'crontab/put/recharge', 'POST|GET');

/*生成员工薪资*/
Route ::rule('/crontab/wage/generate', 'crontab/wage/generate', 'POST|GET');


/*清除演示数据*/
Route ::rule('/admin/index/truncate', 'admin/index/truncate', 'POST');
/*获取网站标题*/
Route ::rule('/home/index/siteName', 'home/index/siteName', 'POST');


return [];
